CVE-2022-3341

NameCVE-2022-3341
DescriptionA null pointer dereference issue was discovered in 'FFmpeg' in decode_main_header() function of libavformat/nutdec.c file. The flaw occurs because the function lacks check of the return value of avformat_new_stream() and triggers the null pointer dereference error, causing an application to crash.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3454-1, DSA-5394-1, ELA-886-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ffmpeg (PTS)stretch (security)7:3.2.18-0+deb9u1vulnerable
stretch (lts), stretch7:3.2.19-0+deb9u4fixed
buster7:4.1.9-0+deb10u1vulnerable
buster (security)7:4.1.11-0+deb10u1fixed
bullseye7:4.3.6-0+deb11u1fixed
bullseye (security)7:4.3.7-0+deb11u1fixed
bookworm (security), bookworm7:5.1.5-0+deb12u1fixed
trixie7:6.1.1-4fixed
sid7:6.1.1-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ffmpegsourcestretch7:3.2.19-0+deb9u2ELA-886-1
ffmpegsourcebuster7:4.1.11-0+deb10u1DLA-3454-1
ffmpegsourcebullseye7:4.3.6-0+deb11u1DSA-5394-1
ffmpegsource(unstable)7:5.1-1

Notes

https://bugzilla.redhat.com/show_bug.cgi?id=2157054
https://github.com/FFmpeg/FFmpeg/commit/9cf652cef49d74afe3d454f27d49eb1a1394951e (n5.1)
https://github.com/FFmpeg/FFmpeg/commit/08f0a18c3488b2fb8297ebba3684792da8a6606e (n4.1.11)

Search for package or bug name: Reporting problems